{"components":{"schemas":{"BadRequest":{"description":"Returned when something is wrong in the request, e.g. failed argument validation or missed argument","properties":{"attributes":{"description":"Invalid attributes","items":{"$ref":"#/components/schemas/RequestAttribute"},"type":"array"},"error":{"default":"BadRequest","description":"Error name","type":"string"},"message":{"default":"Required arguments are missing in the request","description":"Description of the request error","type":"string"}},"type":"object"},"CaseRegistration":{"properties":{"caseNumber":{"description":"The register id from Bolagsverket. Together with caseTypeCode, this is used to identify each case registration","type":"string"},"caseTypeCode":{"description":"Type of case. Together with caseNumber, this is used to identify each case registration","type":"string"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"closingDate":{"description":"The date when the specific case registration was closed","type":"string"},"closingReasonCode":{"description":"Reason for closing, as a code","enum":["ADACTA","DENIED","DISMISSED","REGISTERED","REMOVED","TRANSFER","WITHDRAWN"],"type":"string"},"dataModificationType":{"description":"Shows if this caseRegistration is new in the case register or updated","enum":["ADD","UPDATE"],"type":"string"},"isClosed":{"description":"Set to true if there is a closingDate and/or a closingReasonCode","type":"boolean"},"openingDate":{"description":"The date when the case was entered into the register","type":"string"}},"type":"object"},"CaseRegistrations":{"properties":{"caseRegistrations":{"description":"A list of new, updated or deleted case registrations","items":{"$ref":"#/components/schemas/CaseRegistration"},"type":"array"},"changeDate":{"description":"Date for the latest change (Date in ISO 8601 standard)","type":"string"},"companyId":{"description":"National identifier for the company - NIF number","type":"string"}},"type":"object"},"CompanyCaseRegisterResults":{"description":"Roaring Group Company case register results","properties":{"records":{"description":"found Company case register results","items":{"$ref":"#/components/schemas/CaseRegistrations"},"type":"array"},"status":{"$ref":"#/components/schemas/SearchResultStatus"}},"type":"object"},"RequestAttribute":{"description":"Incorrect attribute of request","properties":{"attribute":{"description":"Parameter name","type":"string"},"value":{"description":"Parameter value, subject for validation","type":"string"}},"type":"object"},"SearchResultStatus":{"description":"Description of search result","properties":{"code":{"description":"0 - found, 1 - not found","format":"int32","type":"integer"},"text":{"description":"search result description","type":"string"}},"type":"object"},"ServerError":{"description":"Internal server error","properties":{"error":{"default":"InternalServerError","description":"Error name","type":"string"},"message":{"default":"An internal server error occurred, please contact the system administrator with information on the error","description":"Description of the request error","type":"string"}},"type":"object"}},"securitySchemes":{"OAuth2":{"description":"All requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","flows":{"clientCredentials":{"tokenUrl":"https://api.roaring.io/token","scopes":{}}},"type":"oauth2"}}},"info":{"description":"Company case register\n\nAll requests require authentication via OAuth2 client credentials.\n\nBase URL: https://api.roaring.io\n\n1. Obtain a Consumer key and Consumer secret from https://developer.roaring.io/keys\n   (separate sandbox and production pairs).\n2. Request an access token by POSTing to the token endpoint:\n\n   POST https://api.roaring.io/token\n   Content-Type: application/x-www-form-urlencoded\n   Authorization: Basic base64(consumer-key:consumer-secret)\n\n   body: grant_type=client_credentials\n\n   Tokens are valid for 3600 seconds. The response contains an access_token of\n   type Bearer.\n3. Send the access token on every API call:\n\n   Authorization: Bearer <access_token>","title":"Company case register","version":"1.0","x-logo":{"url":"https://assets.roaring.io/svg/case-register-v3.1.svg"}},"openapi":"3.0.1","paths":{"/{companyId}":{"get":{"description":"AsOfDate supported","operationId":"view","parameters":[{"description":"id of company","in":"path","name":"companyId","required":true,"schema":{"type":"string"}},{"description":"true/false (false is default)","in":"query","name":"showOnlyOpenCases","schema":{"default":false,"type":"boolean"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/CompanyCaseRegisterResults"}}},"description":"OK, successfull response"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/BadRequest"}}},"description":"Returned when something is wrong in the request, e.g. failed argument validation or arguments are missing"},"404":{"description":"Requested resource could not be found"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/ServerError"}}},"description":"An internal server error occurred, please contact the system administrator with information on the error"}},"summary":"Fetch company case registrations","tags":["CaseRegisterSe"]}}},"security":[{"OAuth2":[]}],"servers":[{"url":"https://api.roaring.io/se/company/case-register/1.0"}],"x-category":"company","x-countries":["se"],"x-id":"CaseRegisterApiSe"}